Uploaded image for project: 'Kylin'
  1. Kylin
  2. KYLIN-1867

Upgrade dependency libraries

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: v1.5.2
    • Fix Version/s: v1.5.4
    • Component/s: Tools, Build and Test
    • Labels:
      None

      Description

      Currently, Kylin has 167 unique dependencies, but 109 are outdated, even some has security vulnerabilities. The detail report could be found at https://www.versioneye.com/user/projects/577fcf5a5bb139003969db09?child=summary

      Without changing the APIs and Hadoop ecosystem version compatible, it's better if Kylin could catch up to the newest release dependencies.

      I could work on this item, and check the compatible and pass the tests.

        Attachments

        1. KYLIN-1867.patch
          91 kB
          Billy Liu

          Issue Links

            Activity

              People

              • Assignee:
                yimingliu Billy Liu
                Reporter:
                yimingliu Billy Liu
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: